import os,sys,appuifw
ru=lambda text:text.decode("utf-8")
class error:
	flag=0
	def write(self,text):
		if self.flag:
			appuifw.app.body.add(ru(text))
		else:
			appuifw.app.exit_key_handler=sys.exit
			appuifw.app.menu=[(ru("退出"),sys.exit)]
			appuifw.app.body=appuifw.Text(ru("	程序发生下列错误\n"))
			appuifw.app.body.color=0xff0000
			self.flag=1
if appuifw.app.full_name().lower().find(u"python")==-1:
	sys.stderr=error()